/*
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
 *
 * Copyright 2019-2020 the original author or authors.
 */

package org.quickperf.jvm.heap;

import org.junit.Test;

import java.io.File;
import java.nio.file.Path;
import java.nio.file.Paths;

import static org.assertj.core.api.Assertions.assertThat;

public class HeapDumperTest {

    @Test public void
    should_dump_heap() {

        Path targetDirectory = Paths.get("target");
        String targetPath = targetDirectory.toFile().getAbsolutePath();

        String heapDumpPath = targetPath + File.separator + "heap-dump-test.hprof";
        File heapDumpFile = new File(heapDumpPath);
        if(heapDumpFile.exists()) {
            heapDumpFile.delete();
        }

        HeapDumper.dumpHeap(heapDumpPath);

        assertThat(heapDumpFile).exists();

    }

}